Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class ConstructionTransformer

    java.lang.Object
      org.jboss.aop.instrument.ConstructionTransformer

Direct Known Subclasses:
  GeneratedAdvisorConstructionTransformer, NonOptimizedConstructionTransformer, OptimizedConstructionTransformer

public abstract class ConstructionTransformer
extends Object

Comment

Version:
  $Revision: 1.8 $
Author:
  Bill Burke

Field Summary
`protected Instrumentor` | `instrumentor`

Constructor Summary
`protected` | `ConstructionTransformer(Instrumentor instrumentor)`

Method Summary
`protected String` | `addConstructionInfoField(int modifiers, javassist.CtClass addTo, javassist.CtConstructor ctor, int index)` Adds a ConstructionInfo field to the passed in class
`protected String` | `addConstructionInfoField(int modifiers, javassist.CtClass addTo, javassist.CtConstructor ctor, int index, javassist.CtField.Initializer init)` Adds a ConstructionInfo field to the passed in class
`protected boolean` | `addInfoAsWeakReference()`
`protected static String` | `constructionInfoFromWeakReference(String localName, String ctorInfoName)`
`protected void` | `generateConstructionInfoField(javassist.CtConstructor constructor, int index)`
`protected void` | `generateNotMatchedConstructionInfoField(javassist.CtConstructor constructor, int index)`
`static String` | `getConstructionInfoFieldName(String classname, int index)`
`boolean` | `insertConstructionInterception(javassist.CtClass clazz, ClassAdvisor advisor)`
`protected abstract void` | `insertInterception(javassist.CtConstructor constructor, int index)`
`static boolean` | `isAdvisableConstructor(javassist.CtConstructor con, ClassAdvisor advisor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instrumentor

    protected Instrumentor instrumentor

Constructor Detail

### ConstructionTransformer

    protected ConstructionTransformer(Instrumentor instrumentor)

Method Detail

### addConstructionInfoField

    protected String addConstructionInfoField(int modifiers,
                                              javassist.CtClass addTo,
                                              javassist.CtConstructor ctor,
                                              int index)
                                       throws javassist.NotFoundException,
                                              javassist.CannotCompileException

  Adds a ConstructionInfo field to the passed in class

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addConstructionInfoField

    protected String addConstructionInfoField(int modifiers,
                                              javassist.CtClass addTo,
                                              javassist.CtConstructor ctor,
                                              int index,
                                              javassist.CtField.Initializer init)
                                       throws javassist.NotFoundException,
                                              javassist.CannotCompileException

  Adds a ConstructionInfo field to the passed in class

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addInfoAsWeakReference

    protected boolean addInfoAsWeakReference()

### getConstructionInfoFieldName

    public static String getConstructionInfoFieldName(String classname,
                                                      int index)

### constructionInfoFromWeakReference

    protected static String constructionInfoFromWeakReference(String localName,
                                                              String ctorInfoName)

### insertConstructionInterception

    public boolean insertConstructionInterception(javassist.CtClass clazz,
                                                  ClassAdvisor advisor)
                                           throws Exception

  Throws:
    `Exception`

### insertInterception

    protected abstract void insertInterception(javassist.CtConstructor constructor,
                                               int index)
                                        throws Exception

  Throws:
    `Exception`

### isAdvisableConstructor

    public static boolean isAdvisableConstructor(javassist.CtConstructor con,
                                                 ClassAdvisor advisor)
                                          throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### generateConstructionInfoField

    protected void generateConstructionInfoField(javassist.CtConstructor constructor,
                                                 int index)
                                          throws javassist.NotFoundException,
                                                 javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### generateNotMatchedConstructionInfoField

    protected void generateNotMatchedConstructionInfoField(javassist.CtConstructor constructor,
                                                           int index)
                                                    throws javassist.NotFoundException,
                                                           javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.